
<div class="jsonForm">
    <form action="" novalidate>
        <ul class="form flow dynamic">
            <li ng-repeat="formEle in extractedData">
                <div class="tag capitalize">{{formEle.name}}</div>
<!--{{ formEle.dropDownValue }}-->
                <div ng-if="formEle.isDropDown">
                    <select ng-model="cameraTypeArray" ng-options="camera.sensorName for camera in formEle.dropDownValue" ng-change="getCameraConfiguration(cameraTypeArray,formEle.realName)">
                    </select>
                    <div class="description">{{formEle.description}}</div>
                </div>
                <div ng-if="!formEle.isDropDown && !formEle.isFileType">
                    <input type="text" ng-model="formEle.model">
                    <div class="description">{{formEle.description}}</div>
                </div>

                <div ng-if="formEle.isFileType">

                    <!--{{formEle.isFileType}}-->
                    <div class="upload">
                        <input type="file" file-model="formEle.model" >
                        <div class="mask">{{formEle.model}}</div>
                    </div>
                    <div class="description">{{formEle.description}}</div>
                </div>

            </li>
        </ul>
    </form>

</div>

<!--<div class="upload">
    <input type="file" file-model="myFile" >
    <div class="mask">Upload</div>
</div>-->
<!--<button ng-click="fromConfigObject(extractedData)">Add Config</button>-->



<!--<div class="jsonForm">-->
    <!--<form action="" novalidate>-->
        <!--<ul class="form flow dynamic">-->
            <!--<li ng-repeat="(key, value) in descData" ng-if="!value.include" ng-class="{big: value.Area || value.type == 'structure' || key=='structures'}" class="levelA">-->

                <!--<div class="tag capitalize" ng-class="{main: value.type == 'structure' || key=='structures'}">{{$parent.$parent.$parent.splitCamelCase(key)}}</div>-->
                <!--<input type="text" ng-if="value.type == 'string'" ng-model="sampleData[key]">-->
                <!--<input type="number" ng-if="value.type == 'integer' || value.type == 'number' || value.type == 'double'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'array[integer]'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'array[string]'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'array[Area]'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'Rectangle'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'CharacterRecognition'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'PlateDetector'" ng-model="sampleData[key]">-->
                <!--<input type="text" ng-if="value.type == 'PlateValidation'" ng-model="sampleData[key]">-->
                <!--<div class="dropDown" ng-if="value.type == 'boolean'">-->
                    <!--<div data-init="0" class="head">-->
                        <!--<input type="text" class="headTitle" ng-model="sampleData[key]" ng-init="sampleData[key]=value.default" readonly>-->
                        <!--<img class="sign" alt="" src="images/arrow_down_white.png">-->
                    <!--</div>-->
                    <!--<ul class="list">-->
                        <!--<li>true</li>-->
                        <!--<li>false</li>-->
                    <!--</ul>-->
                <!--</div>-->
                <!--<input type="text" ng-if="value.type == 'object'" ng-model="sampleData[key]" ng-init="sampleData[key]=0">-->
                <!--&lt;!&ndash;.......... description .....&ndash;&gt;-->
                <!--<div class="description" ng-if="value.type !== 'structure' && value.description.length>0">({{value.description}})</div>-->



                <!--&lt;!&ndash;.... if type is structure .....&ndash;&gt;-->
                <!--<div class="" ng-if="value.type == 'structure'">-->
                    <!--<ul class="form flow">-->
                        <!--<li ng-repeat="(keyA, valueA) in value.fields" ng-if="!value.include" ng-class="{big: valueA.type == 'structure'}" class="levelB">-->

                            <!--<div class="tag capitalize"  ng-class="{main: valueA.type == 'structure'}">-->
                                <!--{{$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(key)}} - -->
                                <!--{{$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyA)}}-->
                            <!--</div>-->

                            <!--<input type="text" ng-if="valueA.type == 'string'" ng-model="sampleData[key]['fields'][keyA]">-->
                            <!--<input type="number" ng-if="valueA.type == 'integer' || valueA.type == 'number' || valueA.type == 'double'" ng-model="sampleData[key]['fields'][keyA]">-->
                            <!--&lt;!&ndash;<input type="number" ng-if="valueA.type == 'number'" ng-model="sampleData[key][keyA]">&ndash;&gt;-->
                            <!--<div class="dropDown" ng-if="valueA.type == 'boolean' || valueA.type == 'bool'">-->
                                <!--<div data-init="0" class="head">-->
                                    <!--<input type="text" class="headTitle" ng-model="sampleData[key]['fields'][keyA]" ng-init="sampleData[key]['fields'][keyA]=valueA.default" readonly>-->
                                    <!--&lt;!&ndash;valueA.default&ndash;&gt;-->
                                    <!--<img class="sign" alt="" src="images/arrow_down_white.png">-->
                                <!--</div>-->
                                <!--<ul class="list">-->
                                    <!--<li>true</li>-->
                                    <!--<li>false</li>-->
                                <!--</ul>-->
                            <!--</div>-->
                            <!--<input type="text" ng-if="valueA.type == 'object'" ng-model="sampleData[key]['fields'][keyA]" ng-init="sampleData[key]['fields'][keyA]=0">-->
                            <!--&lt;!&ndash;.......... description .....&ndash;&gt;-->
                            <!--<div class="description" ng-if="valueA.type !== 'structure'">({{valueA.description}})</div>-->



                            <!--&lt;!&ndash;.... if child type is structure .....&ndash;&gt;-->

                            <!--<div class="" ng-if="valueA.type == 'structure'">-->
                                <!--<ul class="form flow">-->
                                    <!--<li ng-repeat="(keyB, valueB) in valueA.fields" ng-if="!value.include">-->

                                        <!--<div class="tag capitalize">-->
                                            <!--{{$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(key)}} - -->
                                            <!--{{$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyA)}} - -->
                                            <!--{{$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyB)}}-->
                                        <!--</div>-->
                                        <!--<input type="text" ng-if="valueB.type == 'string'" ng-model="sampleData[key][keyA]['fields'][keyB]">-->
                                        <!--<input type="number" ng-if="valueB.type == 'integer' || valueB.type == 'number' || valueB.type == 'double'" ng-model="sampleData[key][keyA]['fields'][keyB]">-->
                                        <!--&lt;!&ndash;<input type="number" ng-if="valueA.type == 'number'" ng-model="sampleData[key][keyA]">&ndash;&gt;-->
                                        <!--<div class="dropDown" ng-if="valueB.type == 'boolean' || valueB.type == 'bool'">-->
                                            <!--<div data-init="0" class="head">-->
                                                <!--<input type="text" class="headTitle" ng-model="sampleData[key][keyA]['fields'][keyB]" ng-init="sampleData[key][keyA]['fields'][keyB]=valueB.default" readonly>-->
                                                <!--<img class="sign" alt="" src="images/arrow_down_white.png">-->
                                            <!--</div>-->
                                            <!--<ul class="list">-->
                                                <!--<li>true</li>-->
                                                <!--<li>false</li>-->
                                            <!--</ul>-->
                                        <!--</div>-->
                                        <!--<input type="text" ng-if="valueB.type == 'object'" ng-model="sampleData[key][keyA]['fields'][keyB]"  ng-init="sampleData[key][keyA]['fields'][keyB]=0">-->
                                        <!--&lt;!&ndash;.......... description .....&ndash;&gt;-->
                                        <!--<div class="description">({{valueB.description}})</div>-->
                                    <!--</li>-->
                                <!--</ul>-->
                            <!--</div>-->
                        <!--</li>-->


                    <!--</ul>-->
                <!--</div>-->



                <!--&lt;!&ndash;.... if contain area array .....&ndash;&gt;-->
                <!--<div class="" ng-if="value.Area && value.type !== 'structure'">-->
                    <!--<ul class="form flow">-->
                        <!--<li ng-repeat="(keyArea, valueArea) in value.Area" ng-if="!value.include" >-->

                            <!--<div class="tag capitalize"  ng-class="{main: valueA.type == 'structure'}">-->
                                <!--{{$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(key)}} - -->
                                <!--{{$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyArea)}}-->
                            <!--</div>-->
                            <!--<input type="text" ng-if="valueArea.type == 'string'" ng-model="sampleData[key]['Area'][keyArea]">-->
                            <!--<input type="text" ng-if="valueArea.type == 'array[integer]'" ng-model="sampleData[key]['Area'][keyArea]">-->
                            <!--<input type="text" ng-if="valueArea.type == 'array[string]'" ng-model="sampleData[key]['Area'][keyArea]">-->
                            <!--<input type="number" ng-if="valueArea.type == 'integer' || valueArea.type == 'number' || valueArea.type == 'double'" ng-model="sampleData[key]['Area'][keyArea]">-->
                            <!--&lt;!&ndash;<input type="number" ng-if="valueA.type == 'number'" ng-model="sampleData[key][keyA]">&ndash;&gt;-->
                            <!--<div class="dropDown" ng-if="valueArea.type == 'boolean' || valueArea.type == 'bool'">-->
                                <!--<div data-init="0" class="head">-->
                                    <!--<input type="text" class="headTitle" ng-model="sampleData[key]['Area'][keyArea]" ng-init="sampleData[key]['Area'][keyArea]=valueA.default" readonly>-->
                                    <!--&lt;!&ndash;valueA.default&ndash;&gt;-->
                                    <!--<img class="sign" alt="" src="images/arrow_down_white.png">-->
                                <!--</div>-->
                                <!--<ul class="list">-->
                                    <!--<li>true</li>-->
                                    <!--<li>false</li>-->
                                <!--</ul>-->
                            <!--</div>-->
                            <!--<input type="text" ng-if="valueArea.type == 'object'" ng-model="sampleData[key]['Area'][keyArea]" ng-init="sampleData[keyArea]['Area'][keyArea]=0">-->
                            <!--&lt;!&ndash;.......... description .....&ndash;&gt;-->
                            <!--<div class="description">({{valueArea.description}})</div>-->

                        <!--</li>-->
                    <!--</ul>-->
                <!--</div>-->


                <!--&lt;!&ndash;.... if contain structure array .....&ndash;&gt;-->
                <!--<div class="" ng-if="key=='structures'">-->
                    <!--<ul class="form flow">-->
                        <!--<li ng-repeat="(keyStr, valueStr) in descData.structures" ng-if="!value.include" class="big">-->
                            <!--&lt;!&ndash;{{descData.structures}}&ndash;&gt;-->
                            <!--<div class="tag capitalize"  ng-class="{main: !valueStr.type}">-->
                                <!--{{$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(key)}} - -->
                                <!--{{$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyStr)}}-->
                            <!--</div>-->
                            <!--<input type="text" ng-if="valueStr.type == 'string'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="text" ng-if="valueStr.type == 'array[integer]'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="text" ng-if="valueStr.type == 'array[string]'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="text" ng-if="value.type == 'Rectangle'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="text" ng-if="value.type == 'CharacterRecognition'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="text" ng-if="value.type == 'PlateDetector'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="text" ng-if="value.type == 'PlateValidation'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--<input type="number" ng-if="valueStr.type == 'integer' || valueStr.type == 'number' || valueStr.type == 'double'" ng-model="sampleData[key]['structures'][keyStr]">-->
                            <!--&lt;!&ndash;<input type="number" ng-if="valueA.type == 'number'" ng-model="sampleData[key][keyA]">&ndash;&gt;-->
                            <!--<div class="dropDown" ng-if="valueStr.type == 'boolean' || valueStr.type == 'bool'">-->
                                <!--<div data-init="0" class="head">-->
                                    <!--<input type="text" class="headTitle" ng-model="sampleData[key]['structures'][keyStr]" ng-init="sampleData[key]['structures'][keyStr]=valueA.default" readonly>-->
                                    <!--&lt;!&ndash;valueA.default&ndash;&gt;-->
                                    <!--<img class="sign" alt="" src="images/arrow_down_white.png">-->
                                <!--</div>-->
                                <!--<ul class="list">-->
                                    <!--<li>true</li>-->
                                    <!--<li>false</li>-->
                                <!--</ul>-->
                            <!--</div>-->
                            <!--<input type="text" ng-if="valueStr.type == 'object'" ng-model="sampleData[key]['structures'][keyStr]" ng-init="sampleData[key]['structures'][keyStr]=0">-->
                            <!--&lt;!&ndash;.......... description .....&ndash;&gt;-->
                            <!--<div class="description" ng-if="valueStr.description.length>0">({{valueStr.description}})</div>-->




                            <!--<ul class="form flow" ng-if="!descData.structures.type">-->
                                <!--<li ng-repeat="(keyStrChild, valueStrChild) in valueStr" ng-if="!value.include" class="">-->

                                    <!--<div class="tag capitalize"  ng-class="{main: valueA.type == 'structure'}">-->
                                        <!--{{$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(key)}} - -->
                                        <!--{{$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyStr)}} - -->
                                        <!--{{$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.$parent.splitCamelCase(keyStrChild)}}-->
                                    <!--</div>-->
                                    <!--<input type="text" ng-if="valueStrChild.type == 'string'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="valueStrChild.type == 'array[integer]'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="valueStrChild.type == 'array[string]'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="valueStrChild.type == 'ImageThreshold'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="valueStrChild.type == 'ObjectFilter'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="value.type == 'Rectangle'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="value.type == 'CharacterRecognition'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="value.type == 'PlateDetector'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="text" ng-if="value.type == 'PlateValidation'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--<input type="number" ng-if="valueStrChild.type == 'integer' || valueStrChild.type == 'number' || valueStrChild.type == 'double'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]">-->
                                    <!--&lt;!&ndash;<input type="number" ng-if="valueA.type == 'number'" ng-model="sampleData[key][keyA]">&ndash;&gt;-->
                                    <!--<div class="dropDown" ng-if="valueStrChild.type == 'boolean' || valueStrChild.type == 'bool'">-->
                                        <!--<div data-init="0" class="head">-->
                                            <!--<input type="text" class="headTitle" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]" ng-init="sampleData[key]['structures'][keyStr][keyStrChild]=valueA.default" readonly>-->
                                            <!--&lt;!&ndash;valueA.default&ndash;&gt;-->
                                            <!--<img class="sign" alt="" src="images/arrow_down_white.png">-->
                                        <!--</div>-->
                                        <!--<ul class="list">-->
                                            <!--<li>true</li>-->
                                            <!--<li>false</li>-->
                                        <!--</ul>-->
                                    <!--</div>-->
                                    <!--<input type="text" ng-if="valueStrChild.type == 'object'" ng-model="sampleData[key]['structures'][keyStr][keyStrChild]" ng-init="sampleData[key]['structures'][keyStr][keyStrChild]=0">-->
                                    <!--&lt;!&ndash;.......... description .....&ndash;&gt;-->
                                    <!--<div class="description" ng-if="valueStrChild.description.length>0">({{valueStrChild.description}})</div>-->

                                <!--</li>-->
                            <!--</ul>-->

                        <!--</li>-->

                    <!--</ul>-->
                <!--</div>-->

            <!--</li>-->
        <!--</ul>-->
    <!--</form>-->
<!--</div>-->